curl --request GET \
--url https://api.orchestrasolutions.com/PaymentContract/{id}import requests
url = "https://api.orchestrasolutions.com/PaymentContract/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.orchestrasolutions.com/PaymentContract/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenId": "<string>",
"chargeRequestData": {
"amount": 123,
"currency": "AFN",
"myRef": "<string>",
"payerDetails": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"stateProvince": "<string>",
"postCode": "<string>",
"countryCode": "<string>"
},
"isDigital": true,
"orderDesc": "<string>",
"cardHolderName": "<string>",
"expirationMonth": 123,
"expirationYear": 123
},
"merchantTimezone": "<string>",
"cardholderTimezone": "<string>",
"metadata": "<string>",
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"frequency": "Daily",
"upgAccountName": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateName": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"maxOccurrences": 123,
"currentOccurrences": 123,
"nextPaymentDate": "2023-11-07T05:31:56Z",
"status": "Active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastExecutedAt": "2023-11-07T05:31:56Z"
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]"<string>"Retrieve Payment Contract
This method allows you to retrieve detailed information about a specific payment contract
Scheduled Payments Guide
Path Parameters
Contract ID
Response
OK
Full output model for payment contract details
Reference to tokenized payment method
Charge request data for scheduled payments (excludes PAN/CVV which come from token)
Show child attributes
Show child attributes
Merchant timezone (IANA format, e.g., "America/New_York")
Cardholder timezone (IANA format, e.g., "America/New_York")
Optional custom metadata (JSON)
Brief template info for contract output
Show child attributes
Show child attributes
Unique identifier
Reference to template this contract is based on
Template name
User-friendly contract name
When payments should begin
Optional end date
Optional maximum number of payments
Number of successful payments executed
Next scheduled payment date
Status of a payment contract
Active, Paused, Cancelled, Completed Creation timestamp
Last update timestamp
Timestamp of last successful payment execution